﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Drawing.Imaging;
using System.Runtime.InteropServices;

using Microsoft.Kinect;


namespace HelloKinectWorld
{
    public partial class Form1 : Form
    {
        KinectSensor sensor;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            sensor = KinectSensor.KinectSensors[0];
            sensor.ColorStream.Enable(ColorImageFormat.RgbResolution640x480Fps30);
            sensor.ColorFrameReady += FrameReady;
            sensor.Start();

        }
        void FrameReady(object sender, ColorImageFrameReadyEventArgs e)
        {

            ColorImageFrame imageFrame = e.OpenColorImageFrame();
            if (imageFrame != null)
            {
                Bitmap bmap = ImageToBitmap(imageFrame);
                pictureBox1.Image = bmap;
            }
        }
        Bitmap ImageToBitmap(ColorImageFrame Image)
        {
            byte[] pixeldata = new byte[Image.PixelDataLength];
            Image.CopyPixelDataTo(pixeldata);
            Bitmap bmap = new Bitmap(Image.Width, Image.Height, PixelFormat.Format32bppRgb);
            BitmapData bmapdata = bmap.LockBits(new Rectangle(0, 0, Image.Width, Image.Height), ImageLockMode.WriteOnly, bmap.PixelFormat);
            IntPtr ptr = bmapdata.Scan0;
            Marshal.Copy(pixeldata, 0, ptr, Image.PixelDataLength);
            bmap.UnlockBits(bmapdata);
            return bmap;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            sensor.ElevationAngle += 4;
        }


        private void button2_Click(object sender, EventArgs e)
        {
            sensor.ElevationAngle -= 4;

        }
        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            sensor.Stop();

        }
    }
}
